import commonjs from 'rollup-plugin-commonjs';
import nodeResolve from 'rollup-plugin-node-resolve';
import replace from 'rollup-plugin-replace';
import babel from 'rollup-plugin-babel';
//import uglify from 'rollup-plugin-uglify';

const env = process.env.NODE_ENV;

const config = {
  entry: 'src/index.js',
  dest: 'dist/bundle.js',
  format: 'umd',
  moduleName: 'FetchHOC',
  sourceMap: true,
  external: [
    'react'
  ],
  globals: {
    react: 'React',
  },
  plugins: [
    nodeResolve(),
    babel({
      exclude: '**/node_modules/**'
    }),
    replace({
      'process.env.NODE_ENV': JSON.stringify(env)
    }),
    commonjs(),
  ],
};

//if (env === 'production') {
//  config.plugins.push(
//    uglify({
//      compress: {
//        pure_getters: true,
//        unsafe: true,
//        unsafe_comps: true,
//        screw_ie8: true,
//        warnings: false
//      }
//    })
//  )
//}

export default config;

